[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#711195: qtsmbstatus-server: useless dependence on libqt4-sql

Package: qtsmbstatus-server
Version: 2.2.1-2
Severity: normal

QtSmbstatus packages depend on libqt4-sql whereas it seems useless. The
following command (looking for Qt 4 SQL classes) doesn't show any result :
egrep -r '(QSqlQueryModel|QSqlTableModel|QSqlRelationalTableModel)' qtsmbstatus-2.2.1
None of the executables are linked against libQtSql.so.4.

I removed libqt4-sql dependency from debian/control and rebuilt qtsmbstatus
packages. It seems to work correctly.

-- System Information:
Debian Release: 7.0
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages qtsmbstatus-server depends on:
ii  libc6           2.13-38
ii  libgcc1         1:4.7.2-5
ii  libpam0g        1.1.3-7.1
ii  libqt4-network  4:4.8.2+dfsg-11
ii  libqt4-sql      4:4.8.2+dfsg-11
ii  libqtcore4      4:4.8.2+dfsg-11
ii  libstdc++6      4.7.2-5
ii  samba           2:3.6.6-6

qtsmbstatus-server recommends no packages.

qtsmbstatus-server suggests no packages.

Reply to: